API Reference
API Reference

Get Experiment Results

Get the number of sessions each variant of an experiment has handled.

GET/api/v1/experiments/{experiment_id}/results

Authentication

Syllable-API-Keyrequired

Send Syllable-API-Key in the header.

Need a credential? Create or manage an API token in the Syllable Console.

Parameters

Path parameters

experiment_id integer path required

Responses

200Successful Response

application/json

response ExperimentResultsResponse required
2 fields
experiment_idintegerrequired

The internal ID of the experiment

variantsExperimentVariantResult[]required

The variants of the experiment, in the same order as the experiment lists them

Item schema
itemsExperimentVariantResultrequired

How much traffic one variant of an experiment handled.

2 fields
variant_idintegerrequired

The internal ID of the variant

session_countintegerrequired

How many sessions this variant answered

Response example
{
  "experiment_id": 0,
  "variants": [
    {
      "variant_id": 0,
      "session_count": 0
    }
  ]
}
400Bad Request

No response body is declared.

404Not Found

No response body is declared.

422Validation Error

application/json

response HTTPValidationError required
1 field
detailValidationError[]optional
Item schema
itemsValidationErrorrequired
3 fields
locstring | integer[]required
Item schema
itemsstring | integerrequired
2 options
Option 1stringrequired
Option 2integerrequired
msgstringrequired
typestringrequired
Response example
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}